# Uses of Enum Class
com.logicaldoc.core.searchengine.HitField

Packages that use HitField
Package
Description
com.logicaldoc.core.searchengine
The core of the search engine.

## Uses of HitField in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine that return HitField
Modifier and Type
Method
Description
`static HitField`
HitField.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HitField[]`
HitField.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.searchengine that return types with arguments of type HitField
Modifier and Type
Method
Description
`static Set<HitField>`
HitField.`all()`